| QxOrm 1.4.3 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
qx::dao::detail::QxSqlElementTemp Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlElementTemp : temporary SQL element (need to be cloned to be used) More...

`#include <QxSqlElementTemp.h>`

Inheritance diagram for qx::dao::detail::QxSqlElementTemp:

List of all members.

## Public Member Functions
| QxSqlElementTemp ()
virtual | ~QxSqlElementTemp ()
virtual QString | toString () const
virtual void | resolve (QSqlQuery &query) const
virtual void | postProcess (QString &sql) const
virtual IxSqlElement::type_class | getTypeClass () const
## Protected Member Functions
virtual QString | getExtraSettings () const
virtual void | setExtraSettings (const QString &s)

## Detailed Description

qx::dao::detail::QxSqlElementTemp : temporary SQL element (need to be cloned to be used)

Definition at line 56 of file QxSqlElementTemp.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlElementTemp::QxSqlElementTemp | ( |  | ) |

virtual qx::dao::detail::QxSqlElementTemp::~QxSqlElementTemp | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString qx::dao::detail::QxSqlElementTemp::getExtraSettings | ( |  | ) | const`[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual IxSqlElement::type_class qx::dao::detail::QxSqlElementTemp::getTypeClass | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlElementTemp::postProcess | ( | QString & | sql | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlElementTemp::resolve | ( | QSqlQuery & | query | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlElementTemp::setExtraSettings | ( | const QString & | s | ) | `[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual QString qx::dao::detail::QxSqlElementTemp::toString | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlElement/QxSqlElementTemp.h